-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- DISCLAIMER - Execute at your own risk. Read this script and thoroughly test first!!!
--
-- Written by Kimberly L. Tripp of SYSolutions, Inc.
-- For more code samples go to http://www.sqlskills.com
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

SET STATISTICS IO ON
-- Turn Graphical Showplan ON (Ctrl+K)
go

SELECT LastName, FirstName, Phone_No
FROM Member with (Index (0))
WHERE LastName LIKE '[S-Z]%'
go

--CREATE INDEX MemberLastName ON Member(LastName)
go

SELECT LastName, FirstName, Phone_No
FROM Member with (index (MemberLastName))
WHERE LastName LIKE '[S-Z]%'
go

--CREATE INDEX NCLastNameCombo ON Member(LastName, FirstName, Phone_No)
go

SELECT LastName, FirstName, Phone_No
FROM Member 
WHERE LastName LIKE '[S-Z]%'
go

--CREATE INDEX NCLastNameCombo2 ON Member(FirstName, LastName, Phone_No)
go

SELECT LastName, FirstName, Phone_No
FROM Member with (INDEX (NCLastNameCombo2))
WHERE LastName LIKE '[S-Z]%'
go
